<?php
/**
 * Created by Glee Ltd.
 * User: Hieu
 * Date: 28-Jun-19
 * Time: 3:26 PM
 * Description:
 */

namespace Hura8\Interfaces;


interface iProductPromotionProgram
{
    public function activate($id, $status);

    public function updateSetting($id, array $settings);

    public function updateProductSetting($program_id, $product_id, array $settings);

    public function addProduct($program_id, $product_id, array $settings);

    public function removeProduct($program_id, $product_id);

    public function getProductList($program_id);
}
